Bug 230751 - devel/libruin: Update to 0.2.0; Take MAINTAINER'ship
Summary: devel/libruin: Update to 0.2.0; Take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL: http://www.nongnu.org/libruin/
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-19 15:02 UTC by Nathan
Modified: 2018-08-22 14:13 UTC (History)
2 users (show)

See Also:


Attachments
Update (2.75 KB, patch)
2018-08-19 15:03 UTC, Nathan
no flags Details | Diff
Update (2.83 KB, patch)
2018-08-22 01:30 UTC, Nathan
ndowens04: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-08-19 15:02:49 UTC
devel/libruin: Update to 0.2.0

portlint -AC: Looks fine

Poudriere(amd64): 11.2 10.4: Fine
Poudriere(armv6): 11.2: Fine
Poudriere(arm64): 11.2: Fine
Comment 1 Nathan 2018-08-19 15:03:10 UTC
Created attachment 196347 [details]
Update
Comment 2 Fernando Apesteguía freebsd_committer 2018-08-20 17:51:51 UTC
Comment on attachment 196347 [details]
Update

You are not the MAINTAINER yet, so you can not maintainer-approval the attachment (yet) :-)
Comment 3 Nathan 2018-08-20 18:31:18 UTC
Koobs recommended me to do that if it’s unmaintained

(In reply to Fernando Apesteguía from comment #2)
Comment 4 Fernando Apesteguía freebsd_committer 2018-08-20 20:44:59 UTC
(In reply to Nathan from comment #3)

It seems a bit confusing to me, but if koobs says so, I'm OK with it :-)
Comment 5 Steve Wills freebsd_committer 2018-08-22 01:20:57 UTC
(In reply to Fernando Apesteguía from comment #4)

Yes, this is common practice and I find it confusing too, but it does help with finding "things that are ready to commit".

That said, the BUILD_DEPENDS/RUN_DEPENDS don't look right here as they don't reflect the updated path to load.scm introduced in r477673 (PR 230742 by same author). Probably just want to simplify and make it use this:

guile-lib>0:devel/guile-lib

as the dependency instead.
Comment 6 Nathan 2018-08-22 01:30:42 UTC
Created attachment 196429 [details]
Update
Comment 7 Fernando Apesteguía freebsd_committer 2018-08-22 06:23:52 UTC
Releasing PR. I won't be able to test the suggested changes until tonight or (most likely) tomorrow. After that I will need to wait for mentor's approval.

This probably needs to be fixed sooner :-)
Comment 8 commit-hook freebsd_committer 2018-08-22 14:10:43 UTC
A commit references this bug:

Author: swills
Date: Wed Aug 22 14:10:35 UTC 2018
New revision: 477788
URL: https://svnweb.freebsd.org/changeset/ports/477788

Log:
  devel/libruin: Update to 0.2.0

  While here, assign maintainership to submitter. This fixes build with
  new guile-lib.

  PR:		230751
  Submitted by:	Nathan <ndowens@yahoo.com>

Changes:
  head/devel/libruin/Makefile
  head/devel/libruin/distinfo
  head/devel/libruin/pkg-plist
Comment 9 Steve Wills freebsd_committer 2018-08-22 14:13:43 UTC
Committed, thanks!